<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>Category.Global (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Category.Global (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Category.Global.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/Category.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/Category.Global.html" target="_top">Frames</a></li>
<li><a href="Category.Global.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.search</div>
<h2 title="Enum Category.Global" class="title">Enum Category.Global</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.search.Category.Global</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a>&gt;</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/search/Category.html" title="class in com.here.android.mpa.search">Category</a></dd>
</dl>
<hr>
<br>
<pre>public static enum <span class="typeNameLabel">Category.Global</span>
extends java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a>&gt;</pre>
<div class="block">Represents a set of fixed category filters on the resources of the Places search service.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/search/Category.html#globalCategories--"><code>Category.globalCategories()</code></a>, 
<a href="../../../../../com/here/android/mpa/search/Category.html#globalCategory-com.here.android.mpa.search.Category.Global-"><code>Category.globalCategory(Global)</code></a>, 
<a href="../../../../../com/here/android/mpa/search/CategoryFilter.html#add-com.here.android.mpa.search.Category.Global-"><code>CategoryFilter.add(Category.Global)</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#ACCOMMODATION">ACCOMMODATION</a></span></code>
<div class="block">The accommodation category.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#ADMINISTRATIVE_AREAS_BUILDINGS">ADMINISTRATIVE_AREAS_BUILDINGS</a></span></code>
<div class="block">The administrative-areas-buildings category.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#BUSINESS_SERVICES">BUSINESS_SERVICES</a></span></code>
<div class="block">The business-services category.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#EAT_DRINK">EAT_DRINK</a></span></code>
<div class="block">The eat-drink category.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#FACILITIES">FACILITIES</a></span></code>
<div class="block">The facilities category.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#GOING_OUT">GOING_OUT</a></span></code>
<div class="block">The going-out category.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#LEISURE_OUTDOOR">LEISURE_OUTDOOR</a></span></code>
<div class="block">The leisure-outdoor category.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#NATURAL_GEOGRAPHICAL">NATURAL_GEOGRAPHICAL</a></span></code>
<div class="block">The natural-geographical category.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#SHOPPING">SHOPPING</a></span></code>
<div class="block">The shopping category.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#SIGHTS_MUSEUMS">SIGHTS_MUSEUMS</a></span></code>
<div class="block">The sights-museums category.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#TRANSPORT">TRANSPORT</a></span></code>
<div class="block">The transport category.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#toString--">toString</a></span>()</code>
<div class="block">Returns a stringified <code>Category</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/Category.Global.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="ACCOMMODATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCOMMODATION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> ACCOMMODATION</pre>
<div class="block">The accommodation category.</div>
</li>
</ul>
<a name="ADMINISTRATIVE_AREAS_BUILDINGS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ADMINISTRATIVE_AREAS_BUILDINGS</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> ADMINISTRATIVE_AREAS_BUILDINGS</pre>
<div class="block">The administrative-areas-buildings category.</div>
</li>
</ul>
<a name="BUSINESS_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUSINESS_SERVICES</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> BUSINESS_SERVICES</pre>
<div class="block">The business-services category.</div>
</li>
</ul>
<a name="EAT_DRINK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EAT_DRINK</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> EAT_DRINK</pre>
<div class="block">The eat-drink category.</div>
</li>
</ul>
<a name="FACILITIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FACILITIES</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> FACILITIES</pre>
<div class="block">The facilities category.</div>
</li>
</ul>
<a name="GOING_OUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GOING_OUT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> GOING_OUT</pre>
<div class="block">The going-out category.</div>
</li>
</ul>
<a name="LEISURE_OUTDOOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEISURE_OUTDOOR</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> LEISURE_OUTDOOR</pre>
<div class="block">The leisure-outdoor category.</div>
</li>
</ul>
<a name="NATURAL_GEOGRAPHICAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NATURAL_GEOGRAPHICAL</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> NATURAL_GEOGRAPHICAL</pre>
<div class="block">The natural-geographical category.</div>
</li>
</ul>
<a name="SHOPPING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHOPPING</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> SHOPPING</pre>
<div class="block">The shopping category.</div>
</li>
</ul>
<a name="SIGHTS_MUSEUMS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SIGHTS_MUSEUMS</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> SIGHTS_MUSEUMS</pre>
<div class="block">The sights-museums category.</div>
</li>
</ul>
<a name="TRANSPORT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TRANSPORT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> TRANSPORT</pre>
<div class="block">The transport category.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a>[] values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (Category.Global c : Category.Global.values())
    System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a> valueOf(java.lang.String name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public java.lang.String toString()</pre>
<div class="block">Returns a stringified <code>Category</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code> in class <code>java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/search/Category.Global.html" title="enum in com.here.android.mpa.search">Category.Global</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The stringified <code>Category</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Category.Global.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/Category.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/CategoryFilter.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/Category.Global.html" target="_top">Frames</a></li>
<li><a href="Category.Global.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
